#!/bin/sh
# List modules to compile 

MLsrc=..
VPL=../..
ROOT=$(pwd)

listmli() {
    cd $1
    for fich in $(ls *.mli 2> /dev/null || exit 1) ; do
	echo ${fich%.mli}
    done
    cd ${ROOT}
}

# VPL lib files
listmli "${VPL}/lib"

# MLsrc files
listmli "${MLsrc}"

# generated coq files
listmli .
